<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="imgs/favicon.ico">

    <title>ChimpFarm</title>

    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="css/navbar.css" rel="stylesheet">
  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-default navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <span class="navbar-brand">ChimpFarm</span>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    	<div class="jumbotron text-center">
		  <h1>We are processing your petition, please wait!</h1>
		</div>
    </div> <!-- /container -->


    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="../../assets/js/vendor/jquery.min.js"><\/script>')</script>
    <script src="js/bootstrap.min.js"></script>
<script src="js/variables.js"></script>
	<script type="text/javascript">
		var url = new URL(window.location.href);
		var id = url.searchParams.get("id");
		
		$.get(
		    serverURL+"/task/"+id,
		    {},
		    function(data) {
		    	console.log(data)
		    	console.log(JSON.stringify(data.task))
		    	$.ajax({
				    url: serverURL+"/task/"+id,
				    type: 'DELETE',
				    success: function(dataa) {
						$.ajax({
						  url:serverURL+"/task",
						  type:"POST",
						  data:(JSON.stringify(data.task).replace(/\"/g,"\'")),
						  dataType:"json",
						  success: function(dataaa){
						  	console.log(dataaa)
		        			window.location = "index.html"
						  }
						})
				    }
				});
		    }
		)		
	</script>
  </body>
</html>
